classification
Title: documentation link error
Type: security Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cookiez6, docs@python, miss-islington, terry.reedy, zach.ware
Priority: normal Keywords: patch

Created on 2021-11-28 12:14 by cookiez6, last changed 2021-12-04 05:29 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29896 merged zach.ware, 2021-12-02 20:02
PR 29897 merged miss-islington, 2021-12-02 20:25
PR 29898 merged miss-islington, 2021-12-02 20:25
Messages (7)
msg407200 - (view) Author: Tony Zhou (cookiez6) Date: 2021-11-28 12:14
3.10.0 Documentation » The Python Tutorial » 15. Floating Point Arithmetic: Issues and Limitationsin 
in the link "The Perils of Floating Point" brings user to https://www.hmbags.tw/
I don't think this is right. please check
msg407291 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-11-29 16:19
We had a similar report in bpo-45620, but as Dennis and Eric reported in that issue, I can't reproduce that behavior here.

We are using a non-HTTPS link there even though the site supports HTTPS; I'm not sure if fixing that might actually fix things for you and others in the same situation, though.
msg407370 - (view) Author: Tony Zhou (cookiez6) Date: 2021-11-30 12:23
ok i see, I found the pdf. thank you for that anyway
msg407544 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-12-02 20:24
New changeset 9f2f7e42269db74a89fc8cd74d82a875787f01d7 by Zachary Ware in branch 'main':
bpo-45916: Use HTTPS link for The Perils of Floating Point (GH-29896)
https://github.com/python/cpython/commit/9f2f7e42269db74a89fc8cd74d82a875787f01d7
msg407546 - (view) Author: miss-islington (miss-islington) Date: 2021-12-02 20:45
New changeset f6648e229edf07a1e4897244d7d34989dd9ea647 by Miss Islington (bot) in branch '3.10':
bpo-45916: Use HTTPS link for The Perils of Floating Point (GH-29896)
https://github.com/python/cpython/commit/f6648e229edf07a1e4897244d7d34989dd9ea647
msg407639 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-12-04 05:28
New changeset 257eea55860c5f35acce49c062c5823c7a3a1317 by Miss Islington (bot) in branch '3.9':
bpo-45916: Use HTTPS link for The Perils of Floating Point (GH-29896)
https://github.com/python/cpython/commit/257eea55860c5f35acce49c062c5823c7a3a1317
msg407640 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-12-04 05:29
Zach, I presume you wanted the last backport merged and issue closed.
History
Date User Action Args
2021-12-04 05:29:45terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg407640

stage: patch review -> resolved
2021-12-04 05:28:38terry.reedysetnosy: + terry.reedy
messages: + msg407639
2021-12-02 20:45:20miss-islingtonsetmessages: + msg407546
2021-12-02 20:25:08miss-islingtonsetpull_requests: + pull_request28122
2021-12-02 20:25:02miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request28121
2021-12-02 20:24:37zach.waresetmessages: + msg407544
2021-12-02 20:02:47zach.waresetkeywords: + patch
stage: patch review
pull_requests: + pull_request28120
2021-11-30 12:23:18cookiez6setmessages: + msg407370
2021-11-29 16:19:19zach.waresetnosy: + docs@python, zach.ware
messages: + msg407291

assignee: docs@python
components: + Documentation
2021-11-28 12:14:56cookiez6create